Package org.apache.tapestry5.internal.services

## Class PageRenderDispatcher

- java.lang.Object
- - org.apache.tapestry5.internal.services.PageRenderDispatcher

- All Implemented Interfaces:
    `Dispatcher`

      public class PageRenderDispatcher
      extends java.lang.Object
      implements Dispatcher

  Dispatches incoming requests for render requests. Render requests consist of either just a logical page name (case insensitive) or a logical page name plus additional context. Because of this structure, it take a little bit of work to identify the split point between the page name and the context.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PageRenderDispatcher​(ComponentRequestHandler componentRequestHandler, ComponentEventLinkEncoder linkEncoder)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `dispatch​(Request request, Response response)` | Analyzes the incoming request and performs an appropriate operation for each.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PageRenderDispatcher

          public PageRenderDispatcher​(ComponentRequestHandler componentRequestHandler,
                                      ComponentEventLinkEncoder linkEncoder)

  - ### Method Detail

    - #### dispatch

          public boolean dispatch​(Request request,
                                  Response response)
                           throws java.io.IOException

      Description copied from interface: `Dispatcher`
      Analyzes the incoming request and performs an appropriate operation for each.
      Specified by:
        `dispatch` in interface `Dispatcher`
      Returns:
        true if a response was delivered, false if the dispatcher did not handle the request (and a search for a handler should continue)
      Throws:
        `java.io.IOException`